### A free/open-source library for quantitative finance

Classes
ql/termstructures/credit/interpolatedhazardratecurve.hpp File Reference

interpolated hazard-rate term structure More...

`#include <ql/termstructures/credit/hazardratestructure.hpp>`
`#include <ql/termstructures/interpolatedcurve.hpp>`
`#include <utility>`
Include dependency graph for interpolatedhazardratecurve.hpp:

## Classes

class | InterpolatedHazardRateCurve< Interpolator >
| DefaultProbabilityTermStructure based on interpolation of hazard rates. More...

## Detailed Description

interpolated hazard-rate term structure